#### Next topic

scipy.sparse.linalg.ArpackNoConvergence

# scipy.sparse.linalg.SuperLU.solve

`SuperLU.``solve`(rhs[, trans])

  Solves linear system of equations with one or several right-hand sides.

  Parameters:

  rhs : ndarray, shape (n,) or (n, k)

  > Right hand side(s) of equation

  trans : {‘N’, ‘T’, ‘H’}, optional

  > Type of system to solve:

  >     'N':   A   * x == rhs  (default)
  >     'T':   A^T * x == rhs
  >     'H':   A^H * x == rhs

  > i.e., normal, transposed, and hermitian conjugate.

  Returns:

  x : ndarray, shape `rhs.shape`

  > Solution vector(s)